Category : glibc

I am using a httpd:2.4.46 docker image in which I have put my own httpd.conf and some personal modules. The problem is that when I start the container, it works but the error_log shows he didn’t manage to load my module. [Mon May 17 10:00:25.279259 2021] [hvscmh:notice] [pid 12:tid 139994847216768] [mod_hvscmh-1.0.016] Failed to load /usr/local/apache2/modules/../../../../home/cmh/retraite/latest/libmot_ret_gcc10.so.2021.2.1.003 ..

Read more

I would like to use glibc version 2.31 for both ubuntu 20.04 and ubuntu 18.04 with the condition that it should not be installed in a system directory. However, I get an error. I have Dockerfile: FROM ubuntu:20.04 as container_20_04 WORKDIR /root RUN apt update && apt download libc6 RUN dpkg-deb -x libc6_2.31-0ubuntu9.2_amd64.deb /root/debs-install RUN ..

Read more

I am unable to install docker on open suse 15.2, the glibc version does not satisfy docker’s dependency: sudo zypper install docker docker-bash-completion python3-docker-compose Loading repository data… Reading installed packages… Resolving package dependencies… 2 Problems: Problem: nothing provides libc.so.6(GLIBC_2.32)(64bit) needed by docker-20.10.3_ce-9.2.x86_64 Problem: nothing provides libc.so.6(GLIBC_2.32) needed by docker-20.10.3_ce-9.2.i586 Problem: nothing provides libc.so.6(GLIBC_2.32)(64bit) needed by ..

Read more

I’m attempting to compile a C++ library called VRPN with musl instead of glibc, and running into linker errors. Dockerfile # This build container compiles fully static binaries for alpine FROM ekidd/rust-musl-builder:1.49.0 AS build ENV CC=musl-gcc ENV CXX=musl-g++ ENV CFLAGS=-static ENV CXXFLAGS=-static USER root # Install build dependencies RUN apt-get update && apt-get install -y ..

Read more

I’m trying to install the AWS CLI v2 on an Alpine-based Docker image using alpine-pkg-glibc. / # ./aws/install /aws/dist/aws: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory You can now run: /usr/local/bin/aws –version / # aws –version aws: error while loading shared libraries: libz.so.1: cannot open shared ..

Read more